# TCPInterface.cpp File Reference

A simple TCP based server allowing sends and receives. Can be connected to by a telnet client. More...

`#include "TCPInterface.h"`
`#include <sys/time.h>`
`#include <unistd.h>`
`#include <pthread.h>`
`#include <string.h>`
`#include "RakAssert.h"`
`#include <stdio.h>`
`#include "RakSleep.h"`
`#include "StringCompressor.h"`
`#include "StringTable.h"`

## Detailed Description

A simple TCP based server allowing sends and receives. Can be connected to by a telnet client.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.